﻿using System;
using System.Xml.Serialization;
using System.IO;
using System.Xml;
using System.Text;

namespace DoenaSoft.DVDProfiler.CastDemoClient_V2
{
    [Serializable()]
    public class Settings
    {
        public String UserName;

        private static XmlSerializer s_Serializer = new XmlSerializer(typeof(Settings));

        internal static Settings Deserialize(String fileName)
        {
            using (FileStream fs = new FileStream(fileName, FileMode.Open, FileAccess.Read, FileShare.Read))
            {
                Settings instance;

                instance = (Settings)(s_Serializer.Deserialize(fs));
                return (instance);
            }
        }

        internal void Serialize(String fileName)
        {
            using (FileStream fs = new FileStream(fileName, FileMode.Create, FileAccess.Write, FileShare.Read))
            {
                using (XmlTextWriter xtw = new XmlTextWriter(fs, Encoding.UTF8))
                {
                    xtw.Formatting = Formatting.Indented;
                    s_Serializer.Serialize(xtw, this);
                }
            }
        }
    }
}