﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DoenaSoft.DVDProfiler.CastDemoClient_V2
{
    internal partial class EditEpisodeForm : Form
    {
        private Episode m_Episode;

        public EditEpisodeForm(Episode episode)
        {
            m_Episode = episode;
            InitializeComponent();
            this.CastListControl.Upc = m_Episode.Upc;
            this.CastListControl.ShowAddEpisodeButton = false;
            this.NumberTextBox.Text = m_Episode.EpisodeNumber;
            this.TitleTextBox.Text = m_Episode.EpisodeName;
        }

        private void OKButton_Click(object sender, EventArgs e)
        {
            if ((String.IsNullOrEmpty(this.TitleTextBox.Text)
                || (String.IsNullOrEmpty(this.NumberTextBox.Text))))
            {
                MessageBox.Show("Please enter Episode Number and Title!");
                return;
            }
            m_Episode.EpisodeName = this.TitleTextBox.Text;
            m_Episode.EpisodeNumber = this.NumberTextBox.Text;
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        private void AbortButton_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            this.Close();
        }

        private void EditEpisodeForm_Load(object sender, EventArgs e)
        {
            if (m_Episode.CastList == null)
            {
                m_Episode.CastList = new List<CastMember>();
            }
            this.CastListControl.CastListView.Roots = m_Episode.CastList;
            this.CastListControl.CastListView.RebuildAll(false);
            this.CastListControl.CastEntryAdded += this.CastListControl_CastEntryAdded;
        }

        void CastListControl_CastEntryAdded(object sender, AddedEventArgs e)
        {
            m_Episode.CastList.Add((CastMember)(e.NewCastEntry));
            this.CastListControl.CastListView.Roots = m_Episode.CastList;
            this.CastListControl.CastListView.RebuildAll(true);
        }
    }
}
